"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const normalize_path_1 = __importDefault(require("normalize-path"));
const path_1 = require("path");
const utils_1 = require("../utils");
function replaceBaseUrlImport({ orig, file, config }) {
    var _a, _b;
    const requiredModule = (_b = (_a = orig.match((0, utils_1.newStringRegex)())) === null || _a === void 0 ? void 0 : _a.groups) === null || _b === void 0 ? void 0 : _b.path;
    config.output.assert(typeof requiredModule == 'string', `Unexpected import statement pattern ${orig}`);
    if (requiredModule.startsWith('.')) {
        return orig;
    }
    if (config.pathCache.existsResolvedAlias(`${config.outPath}/${requiredModule}`)) {
        let relativePath = (0, normalize_path_1.default)((0, path_1.relative)((0, path_1.dirname)(file), config.pathCache.getAbsoluteAliasPath(config.outPath, '')));
        if (!relativePath.startsWith('.')) {
            relativePath = './' + relativePath;
        }
        const index = orig.indexOf(requiredModule);
        const newImportScript = orig.substring(0, index) + relativePath + '/' + orig.substring(index);
        const modulePath = newImportScript.match((0, utils_1.newStringRegex)()).groups.path;
        return newImportScript.replace(modulePath, (0, normalize_path_1.default)(modulePath));
    }
    return orig;
}
exports.default = replaceBaseUrlImport;
//# sourceMappingURL=BaseUrl.replacer.js.map